Skip to main content
GET
/
devices
/
{device_qrn}
Get Device
curl --request GET \
  --url https://api-v2.qbraid.com/api/v1/devices/{device_qrn} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api-v2.qbraid.com/api/v1/devices/{device_qrn}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api-v2.qbraid.com/api/v1/devices/{device_qrn}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "runInputTypes": ["pyqir", "qasm3"],
    "numberQubits": 64,
    "noiseModels": [],
    "statusMsg": null,
    "nextAvailable": null,
    "avgQueueTime": null,
    "qrn": "qbraid:qbraid:sim:qir-sv",
    "modality": null,
    "name": "QIR Simulator",
    "paradigm": "gate_model",
    "pricing": {
      "perTask": 0,
      "perShot": 0,
      "perMinute": 0
    },
    "status": "ONLINE",
    "vendor": "qbraid",
    "description": "Sparse state vector simulator using QIR compiler. Free of cost.",
    "deviceType": "SIMULATOR",
    "queueDepth": 0,
    "directAccess": true,
    "pricingModel": "fixed"
  }
}
{
  "success": true,
  "data": {
    "runInputTypes": ["pyqir", "qasm3"],
    "numberQubits": 64,
    "noiseModels": [],
    "statusMsg": null,
    "nextAvailable": null,
    "avgQueueTime": null,
    "qrn": "qbraid:qbraid:sim:qir-sv",
    "modality": null,
    "name": "QIR Simulator",
    "paradigm": "gate_model",
    "pricing": {
      "perTask": 0,
      "perShot": 0,
      "perMinute": 0
    },
    "status": "ONLINE",
    "vendor": "qbraid",
    "description": "Sparse state vector simulator using QIR compiler. Free of cost.",
    "deviceType": "SIMULATOR",
    "queueDepth": 0,
    "directAccess": true,
    "pricingModel": "fixed"
  }
}

Authorizations

X-API-KEY
string
header
required

Authenticate requests using an API key linked to your qBraid account. Obtain your key by registering or logging in at account.qbraid.com.

Path Parameters

device_qrn
string
required

Device QRN (qBraid Resource Name)

Response

Successful Response

Response schema for retrieving a single device

success
boolean
required
data
RuntimeDevice · object
required

Schema for device response